<webclass id="xlistbox">
    <parameter name="mainlist" default="false" />
    <parameter name="sublist" default="" />
    <parameter name="onchange" default="" />
    <parameter name="rs" default="{{obj_id}}" />
<var name="refill_sublist">
  ("{{sublist}}"=="" ? "" : "refill_sublist(this, '{{sublist}}')")
</var>
<if condition="{{mainlist}}">
  <select name="{{obj_name}}" id="{{obj_name}}" 
      onchange="{{onchange}};{{refill_sublist}}">
    <option value="">----------------</option>
    <repeat rs="{{rs}}">
      <var name="SELECT">("{{{{obj_name}}}}"=="{{id}}" ? "selected" : "")</var>
      <option value="{{id}}" selected="{{SELECT}}">
        {{label}}</option>
    </repeat>
  </select>
</if>
<if condition="!{{mainlist}}">
  <select name="{{obj_name}}" id="{{obj_name}}"
      onchange="{{onchange}};{{refill_sublist}}">
    <option value="">----------------</option>
    <repeat rs="{{obj_name}}_listsize">
      <option value=""></option>
    </repeat>
  </select>
  <script type="text/javascript" language="javascript">
    var arr_{{obj_name}} = new Array();
    var item;
    <repeat rs="{{rs}}">
      item = {master_id:'{{master_id}}', id:'{{id}}', label:'{{label}}'};
      arr_{{obj_name}}.push(item);
    </repeat>
  </script>
</if>
</webclass>
